'\"
'\" Copyright (c) 1993 The Regents of the University of California.
'\" Copyright (c) 1994-1996 Sun Microsystems, Inc.
'\"
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) nresplit.n 1.6 96/03/25 20:23:53
'\" 
.so man.macros
.TH nresplit n 2.0 Nre "Tcl Package Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
nresplit \- Split a string into a proper Tcl list using a regular expression
.SH SYNOPSIS
\fBnresplit \fIstring \fR?\fIregexp\fR?
.BE

.SH DESCRIPTION
.VS
.PP
Returns a list created by splitting \fIstring\fR at each place that
matches the \fIregexp\fR argument.
Each element of the result list will consist of the
characters from \fIstring\fR that lie between instances of the
text that matched \fIregexp\fR. The text that matched \fIregexp\fR 
is not included in the result list.
Empty list elements will be generated if \fIstring\fR contains
adjacent matches of \fIregexp\fR, or if it matches the text at
the start or end of \fIstring\fR.
If \fIregexp\fR is an empty string then each character of
\fIstring\fR becomes a separate element of the result list.
\fISplitChars\fR defaults to the standard white-space characters (i.e. "@w").
.PP
See the \fBnrematch\fR man page for a description of regular expressions.
Note that \fBnresplit\fR always turns on the \fBp\fR switch so
all additional nre features are available by default.
.PP
This command is a super set of the standard \fBsplit\fR command.
The only difference is that a regular expression is used as the
splitter instead of a single set of characters.
.VE
.SH KEYWORDS
list, nre, split, regular expression, string
